apiVersion: v1
data:
  auth.json: |-
    {
      "http-basic": {
          "gitlab.oit.duke.edu": {
              "username": "gitlab-ci-token",
              "password": "{{ .Values.git.https_oauth_token }}"
          }
      }
    }
kind: ConfigMap
metadata:
  name: gitlab-oauth-token
  namespace: {{ .Values.okd_project_name }}
  labels:
    app: {{ .Values.okd_project_name }}
  selfLink: /api/v1/namespaces/{{ .Values.okd_project_name }}/configmaps/gitlab-oauth-token
  